<?php

/**
 * @file
 * Contains the user title image field handler.
 */

/**
 * Field handler to provide simple renderer that allows using a themed user title image
 */
class views_handler_field_user_title_image extends views_handler_field {
  function construct() {
    parent::construct();
    $this->additional_fields['image_title'] = 'image_title';
  }

  function element_type() {
    return 'div';
  }

  function render($values) {
    $title = $values->{$this->aliases['image_title']};
    $src = $values->{$this->field_alias};

    return theme('image', $src, $title, $title);
  }
}
